classification
Title: Add a PyPI XML-RPC client module
Type: enhancement Stage: committed/rejected
Components: Distutils2 Versions: 3rd party
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: tarek Nosy List: aconrad, alexis, eric.araujo, l0nwlf, tarek, zubin71
Priority: normal Keywords:

Created on 2010-03-21 03:25 by tarek, last changed 2010-10-01 21:44 by eric.araujo. This issue is now closed.

Messages (11)
msg101414 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2010-03-21 03:25
let's add a small xml-rpc client in Distutils2, implementing all functions.

See http://wiki.python.org/moin/PyPiXmlRpc
msg101415 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2010-03-21 03:29
see also http://tools.assembla.com/yolk/browser/trunk/yolk/pypi.py
msg101866 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-03-28 15:52
Hello

XML-RPC is a legacy protocol that works against the Web, i.e. it does not respect and benefit from the Web architecture. Why not going the REST way?

Regards
msg101870 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2010-03-28 18:59
We want to add a PyPI client in Distutils2, and PyPI provides these information via XML-RPC.

PyPI could probably have a REST interface to grab these info as well, but this is another topic/project.

On our side (distutils2), we want to provide a nice set of APIs to get some info PyPI has, and the fact that it's via XML-RPC is an implementation detail: if PyPI switch to something else, this should just impact the internals of the client, and not change our APIs.
msg101871 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-03-28 19:33
Thanks for clarifying. I’m rephrasing the title to minimize the presence of the protocol used as implementation detail.

Regards
msg101872 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2010-03-28 19:36
Please don't. This is confusing because some commands already interact with PyPI (upload/register).

I don't see the problem in mentioning XML-RPC in the title here. It makes what we need to do crystal clear.
msg101873 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-03-28 19:39
You‘re right, sorry for the noise.
msg117689 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-09-30 01:47
distutils2.index implements an XML-RPC client, a crawler for the so-called simple index and a wrapper for them.  A quick test showed that not all calls listed on the wiki page work now; Alexis, can you give us a status update?
msg117775 - (view) Author: Alexis Metaireau (alexis) * Date: 2010-10-01 02:41
Please, can you be a bit more precise about the missing features ? I'll be glad to cover them.
msg117832 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-10-01 20:48
My bad, I took Tarek’s line about “implementing all functions” literally.  Your client classes don’t have methods with the same exact names and signatures, but what matters is that they provide the functionality.  If you can review the functions listed on the XML-RPC wiki page and confirm they have an equivalent in d2.index, this bug will be closed :)  Bonus points if you create a wiki page explaining how to do operations listed on the XML-RPC page in distutils2.
msg117838 - (view) Author: Alexis Metaireau (alexis) * Date: 2010-10-01 21:42
Yes, all the functions are covered. By the way, I've covered all the functions based on the pypi source code, not on the wiki.

I'll update the wiki page with some examples soon :)
History
Date User Action Args
2010-10-01 21:44:35eric.araujosetstatus: open -> closed
resolution: accepted -> fixed
stage: patch review -> committed/rejected
2010-10-01 21:42:19alexissetmessages: + msg117838
2010-10-01 20:48:54eric.araujosetmessages: + msg117832
2010-10-01 02:41:47alexissetmessages: + msg117775
2010-09-30 01:47:17eric.araujosetresolution: accepted
stage: needs patch -> patch review
messages: + msg117689
versions: + 3rd party
2010-05-26 16:30:58alexissetnosy: + alexis
2010-04-20 07:25:48aconradsetnosy: + aconrad
2010-03-29 17:33:31zubin71setnosy: + zubin71
2010-03-28 19:39:57eric.araujosetmessages: + msg101873
2010-03-28 19:36:28tareksetmessages: + msg101872
title: Add a PyPI client module -> Add a PyPI XML-RPC client module
2010-03-28 19:33:58eric.araujosetmessages: + msg101871
title: Add an xml-rpc client for PyPi -> Add a PyPI client module
2010-03-28 18:59:08tareksetmessages: + msg101870
2010-03-28 15:52:02eric.araujosetnosy: + eric.araujo
messages: + msg101866
2010-03-28 11:16:06l0nwlfsetnosy: + l0nwlf
2010-03-21 03:29:12tareksetmessages: + msg101415
2010-03-21 03:25:55tarekcreate